Bug 608621 - default bkr distros-list takes too long
Summary: default bkr distros-list takes too long
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line   
(Show other bugs)
Version: 0.5
Hardware: All Linux
low
low vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 10:29 UTC by Chris Ward
Modified: 2010-06-30 17:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 17:03:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Ward 2010-06-28 10:29:29 UTC
Description of problem:

%> time bkr distros-list
...
real	3m4.076s
user	0m1.996s
sys	0m0.116s

There is no output suggesting what's happening until the user is finally hit with a massive amount of streaming output once the data is retrieved. 

The time it takes to grab all available distros-list is a little on the long-side. 3 min. +  and i assume as we continue forward in time, this will get longer...

I think a saner default would be to first tell the user something, eg:

%> bkr distros-list
Searching... (filters set...)

Then use some default filter, say for example filter based on InstallName's which contain references to this month/year. 

...
INFO: Using Defaults (Filter: InstallName = `date '+%Y%m'`)



This way, A) users will know what's going on as it's happening B) will get a quick response C) will realize it's better to be explicit than implicit.

Another option might be to set (eg) --limit = 100 as default and force users to set --limit = 0 if they actually want to return /all/ available distros, unfiltered.

Comment 1 Bill Peck 2010-06-29 19:14:27 UTC
I'm making the default 10.


Note You need to log in before you can comment on or make changes to this bug.